UbixOS V2 2.0

Data Fields
pbuf_rom Struct Reference

`#include <pbuf.h>`

Collaboration diagram for pbuf_rom:

## Data Fields
struct pbuf * | next
const void * | payload

## Detailed Description

Helper struct for const-correctness only. The only meaning of this one is to provide a const payload pointer for PBUF_ROM type.

Definition at line 180 of file pbuf.h.

## Field Documentation

## ◆ next

struct pbuf* pbuf_rom::next

next pbuf in singly linked pbuf chain

Definition at line 182 of file pbuf.h.

## ◆ payload

const void* pbuf_rom::payload

pointer to the actual data in the buffer

Definition at line 185 of file pbuf.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/pbuf.h